## Values for this chart
mariadb:
  dbName: pokerogue
  replicas: 2
  username: pokerogue

## Values for pokerogue-frontend
pokerogue-frontend:
  nameOverride: pokerogue-frontend
  fullnameOverride: pokerogue-frontend

  deployment:
    image:
      image: pokerogue
      tag: "v1.0.7"

    securityContext:
      runAsUser: 101

    replicas: 2

    volumes:
      - name: tmp
        emptyDir: {}

    volumeMounts:
      - name: tmp
        mountPath: /tmp

  service:
    enabled: true
    ports:
      - port: 80
        targetPort: 8080
        protocol: TCP
        name: http-web-svc

  ingress:
    enabled: true
    annotations:
      cert-manager.io/cluster-issuer: letsencrypt-production
    className: "nginx-external"

## Values for pokerogue-api
pokerogue-api:
  nameOverride: pokerogue-api
  fullnameOverride: pokerogue-api

  deployment:
    command:
      - /app/rogueserver
      - --debug

    env:
      - name: ROGUESERVER_DB_USER
        value: pokerogue
      - name: ROGUESERVER_DB_PASS
        valueFrom:
          secretKeyRef:
            name: pokerogue-mariadb-user
            key: password
      - name: ROGUESERVER_DB_ADDR
        value: "pokerogue-db-cluster-primary"
      - name: ROGUESERVER_DB_NAME
        value: pokerogue


    image:
      image: rogueserver
      tag: "v1.0.7"

    probes:
      auto:
        path: /game/titlestats

    replicas: 2

  service:
    enabled: true
    ports:
      - port: 80
        targetPort: 8001
        protocol: TCP
        name: http-web-svc

  ingress:
    enabled: true
    annotations:
      cert-manager.io/cluster-issuer: letsencrypt-production
    className: "nginx-external"
